IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network50.167.4.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
- Network address
50.167.4.0- Broadcast address
50.167.7.255- First usable
50.167.4.1- Last usable
50.167.7.254- Usable hosts
- 1,022 (1,024 less the network and broadcast addresses)
- Subnet mask
255.255.252.0- Wildcard mask
0.0.3.255(Cisco ACLs, OSPF)- Prefix length
- /22
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
32A70400· Integer849806336to849807359 - Reverse DNS zones
4.167.50.in-addr.arpa5.167.50.in-addr.arpa6.167.50.in-addr.arpa7.167.50.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00110010.10100111.00000100.00000000 | 50.167.4.0 |
| Subnet mask | 11111111.11111111.11111100.00000000 | 255.255.252.0 |
| Network | 00110010.10100111.00000100.00000000 | 50.167.4.0 |
| Broadcast | 00110010.10100111.00000111.11111111 | 50.167.7.255 |
Split into smaller subnets
50.167.4.0/22 makes 256 subnets of /30.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 50.167.4.0/30 | 50.167.4.1 to 50.167.4.2 | 50.167.4.3 | 2 |
| 2 | 50.167.4.4/30 | 50.167.4.5 to 50.167.4.6 | 50.167.4.7 | 2 |
| 3 | 50.167.4.8/30 | 50.167.4.9 to 50.167.4.10 | 50.167.4.11 | 2 |
| 4 | 50.167.4.12/30 | 50.167.4.13 to 50.167.4.14 | 50.167.4.15 | 2 |
| 5 | 50.167.4.16/30 | 50.167.4.17 to 50.167.4.18 | 50.167.4.19 | 2 |
| 6 | 50.167.4.20/30 | 50.167.4.21 to 50.167.4.22 | 50.167.4.23 | 2 |
| 7 | 50.167.4.24/30 | 50.167.4.25 to 50.167.4.26 | 50.167.4.27 | 2 |
| 8 | 50.167.4.28/30 | 50.167.4.29 to 50.167.4.30 | 50.167.4.31 | 2 |
| 9 | 50.167.4.32/30 | 50.167.4.33 to 50.167.4.34 | 50.167.4.35 | 2 |
| 10 | 50.167.4.36/30 | 50.167.4.37 to 50.167.4.38 | 50.167.4.39 | 2 |
| 11 | 50.167.4.40/30 | 50.167.4.41 to 50.167.4.42 | 50.167.4.43 | 2 |
| 12 | 50.167.4.44/30 | 50.167.4.45 to 50.167.4.46 | 50.167.4.47 | 2 |
| 13 | 50.167.4.48/30 | 50.167.4.49 to 50.167.4.50 | 50.167.4.51 | 2 |
| 14 | 50.167.4.52/30 | 50.167.4.53 to 50.167.4.54 | 50.167.4.55 | 2 |
| 15 | 50.167.4.56/30 | 50.167.4.57 to 50.167.4.58 | 50.167.4.59 | 2 |
| 16 | 50.167.4.60/30 | 50.167.4.61 to 50.167.4.62 | 50.167.4.63 | 2 |
| 17 | 50.167.4.64/30 | 50.167.4.65 to 50.167.4.66 | 50.167.4.67 | 2 |
| 18 | 50.167.4.68/30 | 50.167.4.69 to 50.167.4.70 | 50.167.4.71 | 2 |
| 19 | 50.167.4.72/30 | 50.167.4.73 to 50.167.4.74 | 50.167.4.75 | 2 |
| 20 | 50.167.4.76/30 | 50.167.4.77 to 50.167.4.78 | 50.167.4.79 | 2 |
| 21 | 50.167.4.80/30 | 50.167.4.81 to 50.167.4.82 | 50.167.4.83 | 2 |
| 22 | 50.167.4.84/30 | 50.167.4.85 to 50.167.4.86 | 50.167.4.87 | 2 |
| 23 | 50.167.4.88/30 | 50.167.4.89 to 50.167.4.90 | 50.167.4.91 | 2 |
| 24 | 50.167.4.92/30 | 50.167.4.93 to 50.167.4.94 | 50.167.4.95 | 2 |
| 25 | 50.167.4.96/30 | 50.167.4.97 to 50.167.4.98 | 50.167.4.99 | 2 |
| 26 | 50.167.4.100/30 | 50.167.4.101 to 50.167.4.102 | 50.167.4.103 | 2 |
| 27 | 50.167.4.104/30 | 50.167.4.105 to 50.167.4.106 | 50.167.4.107 | 2 |
| 28 | 50.167.4.108/30 | 50.167.4.109 to 50.167.4.110 | 50.167.4.111 | 2 |
| 29 | 50.167.4.112/30 | 50.167.4.113 to 50.167.4.114 | 50.167.4.115 | 2 |
| 30 | 50.167.4.116/30 | 50.167.4.117 to 50.167.4.118 | 50.167.4.119 | 2 |
| 31 | 50.167.4.120/30 | 50.167.4.121 to 50.167.4.122 | 50.167.4.123 | 2 |
| 32 | 50.167.4.124/30 | 50.167.4.125 to 50.167.4.126 | 50.167.4.127 | 2 |
| 33 | 50.167.4.128/30 | 50.167.4.129 to 50.167.4.130 | 50.167.4.131 | 2 |
| 34 | 50.167.4.132/30 | 50.167.4.133 to 50.167.4.134 | 50.167.4.135 | 2 |
| 35 | 50.167.4.136/30 | 50.167.4.137 to 50.167.4.138 | 50.167.4.139 | 2 |
| 36 | 50.167.4.140/30 | 50.167.4.141 to 50.167.4.142 | 50.167.4.143 | 2 |
| 37 | 50.167.4.144/30 | 50.167.4.145 to 50.167.4.146 | 50.167.4.147 | 2 |
| 38 | 50.167.4.148/30 | 50.167.4.149 to 50.167.4.150 | 50.167.4.151 | 2 |
| 39 | 50.167.4.152/30 | 50.167.4.153 to 50.167.4.154 | 50.167.4.155 | 2 |
| 40 | 50.167.4.156/30 | 50.167.4.157 to 50.167.4.158 | 50.167.4.159 | 2 |
| 41 | 50.167.4.160/30 | 50.167.4.161 to 50.167.4.162 | 50.167.4.163 | 2 |
| 42 | 50.167.4.164/30 | 50.167.4.165 to 50.167.4.166 | 50.167.4.167 | 2 |
| 43 | 50.167.4.168/30 | 50.167.4.169 to 50.167.4.170 | 50.167.4.171 | 2 |
| 44 | 50.167.4.172/30 | 50.167.4.173 to 50.167.4.174 | 50.167.4.175 | 2 |
| 45 | 50.167.4.176/30 | 50.167.4.177 to 50.167.4.178 | 50.167.4.179 | 2 |
| 46 | 50.167.4.180/30 | 50.167.4.181 to 50.167.4.182 | 50.167.4.183 | 2 |
| 47 | 50.167.4.184/30 | 50.167.4.185 to 50.167.4.186 | 50.167.4.187 | 2 |
| 48 | 50.167.4.188/30 | 50.167.4.189 to 50.167.4.190 | 50.167.4.191 | 2 |
| 49 | 50.167.4.192/30 | 50.167.4.193 to 50.167.4.194 | 50.167.4.195 | 2 |
| 50 | 50.167.4.196/30 | 50.167.4.197 to 50.167.4.198 | 50.167.4.199 | 2 |
| 51 | 50.167.4.200/30 | 50.167.4.201 to 50.167.4.202 | 50.167.4.203 | 2 |
| 52 | 50.167.4.204/30 | 50.167.4.205 to 50.167.4.206 | 50.167.4.207 | 2 |
| 53 | 50.167.4.208/30 | 50.167.4.209 to 50.167.4.210 | 50.167.4.211 | 2 |
| 54 | 50.167.4.212/30 | 50.167.4.213 to 50.167.4.214 | 50.167.4.215 | 2 |
| 55 | 50.167.4.216/30 | 50.167.4.217 to 50.167.4.218 | 50.167.4.219 | 2 |
| 56 | 50.167.4.220/30 | 50.167.4.221 to 50.167.4.222 | 50.167.4.223 | 2 |
| 57 | 50.167.4.224/30 | 50.167.4.225 to 50.167.4.226 | 50.167.4.227 | 2 |
| 58 | 50.167.4.228/30 | 50.167.4.229 to 50.167.4.230 | 50.167.4.231 | 2 |
| 59 | 50.167.4.232/30 | 50.167.4.233 to 50.167.4.234 | 50.167.4.235 | 2 |
| 60 | 50.167.4.236/30 | 50.167.4.237 to 50.167.4.238 | 50.167.4.239 | 2 |
| 61 | 50.167.4.240/30 | 50.167.4.241 to 50.167.4.242 | 50.167.4.243 | 2 |
| 62 | 50.167.4.244/30 | 50.167.4.245 to 50.167.4.246 | 50.167.4.247 | 2 |
| 63 | 50.167.4.248/30 | 50.167.4.249 to 50.167.4.250 | 50.167.4.251 | 2 |
| 64 | 50.167.4.252/30 | 50.167.4.253 to 50.167.4.254 | 50.167.4.255 | 2 |
| 65 | 50.167.5.0/30 | 50.167.5.1 to 50.167.5.2 | 50.167.5.3 | 2 |
| 66 | 50.167.5.4/30 | 50.167.5.5 to 50.167.5.6 | 50.167.5.7 | 2 |
| 67 | 50.167.5.8/30 | 50.167.5.9 to 50.167.5.10 | 50.167.5.11 | 2 |
| 68 | 50.167.5.12/30 | 50.167.5.13 to 50.167.5.14 | 50.167.5.15 | 2 |
| 69 | 50.167.5.16/30 | 50.167.5.17 to 50.167.5.18 | 50.167.5.19 | 2 |
| 70 | 50.167.5.20/30 | 50.167.5.21 to 50.167.5.22 | 50.167.5.23 | 2 |
| 71 | 50.167.5.24/30 | 50.167.5.25 to 50.167.5.26 | 50.167.5.27 | 2 |
| 72 | 50.167.5.28/30 | 50.167.5.29 to 50.167.5.30 | 50.167.5.31 | 2 |
| 73 | 50.167.5.32/30 | 50.167.5.33 to 50.167.5.34 | 50.167.5.35 | 2 |
| 74 | 50.167.5.36/30 | 50.167.5.37 to 50.167.5.38 | 50.167.5.39 | 2 |
| 75 | 50.167.5.40/30 | 50.167.5.41 to 50.167.5.42 | 50.167.5.43 | 2 |
| 76 | 50.167.5.44/30 | 50.167.5.45 to 50.167.5.46 | 50.167.5.47 | 2 |
| 77 | 50.167.5.48/30 | 50.167.5.49 to 50.167.5.50 | 50.167.5.51 | 2 |
| 78 | 50.167.5.52/30 | 50.167.5.53 to 50.167.5.54 | 50.167.5.55 | 2 |
| 79 | 50.167.5.56/30 | 50.167.5.57 to 50.167.5.58 | 50.167.5.59 | 2 |
| 80 | 50.167.5.60/30 | 50.167.5.61 to 50.167.5.62 | 50.167.5.63 | 2 |
| 81 | 50.167.5.64/30 | 50.167.5.65 to 50.167.5.66 | 50.167.5.67 | 2 |
| 82 | 50.167.5.68/30 | 50.167.5.69 to 50.167.5.70 | 50.167.5.71 | 2 |
| 83 | 50.167.5.72/30 | 50.167.5.73 to 50.167.5.74 | 50.167.5.75 | 2 |
| 84 | 50.167.5.76/30 | 50.167.5.77 to 50.167.5.78 | 50.167.5.79 | 2 |
| 85 | 50.167.5.80/30 | 50.167.5.81 to 50.167.5.82 | 50.167.5.83 | 2 |
| 86 | 50.167.5.84/30 | 50.167.5.85 to 50.167.5.86 | 50.167.5.87 | 2 |
| 87 | 50.167.5.88/30 | 50.167.5.89 to 50.167.5.90 | 50.167.5.91 | 2 |
| 88 | 50.167.5.92/30 | 50.167.5.93 to 50.167.5.94 | 50.167.5.95 | 2 |
| 89 | 50.167.5.96/30 | 50.167.5.97 to 50.167.5.98 | 50.167.5.99 | 2 |
| 90 | 50.167.5.100/30 | 50.167.5.101 to 50.167.5.102 | 50.167.5.103 | 2 |
| 91 | 50.167.5.104/30 | 50.167.5.105 to 50.167.5.106 | 50.167.5.107 | 2 |
| 92 | 50.167.5.108/30 | 50.167.5.109 to 50.167.5.110 | 50.167.5.111 | 2 |
| 93 | 50.167.5.112/30 | 50.167.5.113 to 50.167.5.114 | 50.167.5.115 | 2 |
| 94 | 50.167.5.116/30 | 50.167.5.117 to 50.167.5.118 | 50.167.5.119 | 2 |
| 95 | 50.167.5.120/30 | 50.167.5.121 to 50.167.5.122 | 50.167.5.123 | 2 |
| 96 | 50.167.5.124/30 | 50.167.5.125 to 50.167.5.126 | 50.167.5.127 | 2 |
| 97 | 50.167.5.128/30 | 50.167.5.129 to 50.167.5.130 | 50.167.5.131 | 2 |
| 98 | 50.167.5.132/30 | 50.167.5.133 to 50.167.5.134 | 50.167.5.135 | 2 |
| 99 | 50.167.5.136/30 | 50.167.5.137 to 50.167.5.138 | 50.167.5.139 | 2 |
| 100 | 50.167.5.140/30 | 50.167.5.141 to 50.167.5.142 | 50.167.5.143 | 2 |
| 101 | 50.167.5.144/30 | 50.167.5.145 to 50.167.5.146 | 50.167.5.147 | 2 |
| 102 | 50.167.5.148/30 | 50.167.5.149 to 50.167.5.150 | 50.167.5.151 | 2 |
| 103 | 50.167.5.152/30 | 50.167.5.153 to 50.167.5.154 | 50.167.5.155 | 2 |
| 104 | 50.167.5.156/30 | 50.167.5.157 to 50.167.5.158 | 50.167.5.159 | 2 |
| 105 | 50.167.5.160/30 | 50.167.5.161 to 50.167.5.162 | 50.167.5.163 | 2 |
| 106 | 50.167.5.164/30 | 50.167.5.165 to 50.167.5.166 | 50.167.5.167 | 2 |
| 107 | 50.167.5.168/30 | 50.167.5.169 to 50.167.5.170 | 50.167.5.171 | 2 |
| 108 | 50.167.5.172/30 | 50.167.5.173 to 50.167.5.174 | 50.167.5.175 | 2 |
| 109 | 50.167.5.176/30 | 50.167.5.177 to 50.167.5.178 | 50.167.5.179 | 2 |
| 110 | 50.167.5.180/30 | 50.167.5.181 to 50.167.5.182 | 50.167.5.183 | 2 |
| 111 | 50.167.5.184/30 | 50.167.5.185 to 50.167.5.186 | 50.167.5.187 | 2 |
| 112 | 50.167.5.188/30 | 50.167.5.189 to 50.167.5.190 | 50.167.5.191 | 2 |
| 113 | 50.167.5.192/30 | 50.167.5.193 to 50.167.5.194 | 50.167.5.195 | 2 |
| 114 | 50.167.5.196/30 | 50.167.5.197 to 50.167.5.198 | 50.167.5.199 | 2 |
| 115 | 50.167.5.200/30 | 50.167.5.201 to 50.167.5.202 | 50.167.5.203 | 2 |
| 116 | 50.167.5.204/30 | 50.167.5.205 to 50.167.5.206 | 50.167.5.207 | 2 |
| 117 | 50.167.5.208/30 | 50.167.5.209 to 50.167.5.210 | 50.167.5.211 | 2 |
| 118 | 50.167.5.212/30 | 50.167.5.213 to 50.167.5.214 | 50.167.5.215 | 2 |
| 119 | 50.167.5.216/30 | 50.167.5.217 to 50.167.5.218 | 50.167.5.219 | 2 |
| 120 | 50.167.5.220/30 | 50.167.5.221 to 50.167.5.222 | 50.167.5.223 | 2 |
| 121 | 50.167.5.224/30 | 50.167.5.225 to 50.167.5.226 | 50.167.5.227 | 2 |
| 122 | 50.167.5.228/30 | 50.167.5.229 to 50.167.5.230 | 50.167.5.231 | 2 |
| 123 | 50.167.5.232/30 | 50.167.5.233 to 50.167.5.234 | 50.167.5.235 | 2 |
| 124 | 50.167.5.236/30 | 50.167.5.237 to 50.167.5.238 | 50.167.5.239 | 2 |
| 125 | 50.167.5.240/30 | 50.167.5.241 to 50.167.5.242 | 50.167.5.243 | 2 |
| 126 | 50.167.5.244/30 | 50.167.5.245 to 50.167.5.246 | 50.167.5.247 | 2 |
| 127 | 50.167.5.248/30 | 50.167.5.249 to 50.167.5.250 | 50.167.5.251 | 2 |
| 128 | 50.167.5.252/30 | 50.167.5.253 to 50.167.5.254 | 50.167.5.255 | 2 |
| 129 | 50.167.6.0/30 | 50.167.6.1 to 50.167.6.2 | 50.167.6.3 | 2 |
| 130 | 50.167.6.4/30 | 50.167.6.5 to 50.167.6.6 | 50.167.6.7 | 2 |
| 131 | 50.167.6.8/30 | 50.167.6.9 to 50.167.6.10 | 50.167.6.11 | 2 |
| 132 | 50.167.6.12/30 | 50.167.6.13 to 50.167.6.14 | 50.167.6.15 | 2 |
| 133 | 50.167.6.16/30 | 50.167.6.17 to 50.167.6.18 | 50.167.6.19 | 2 |
| 134 | 50.167.6.20/30 | 50.167.6.21 to 50.167.6.22 | 50.167.6.23 | 2 |
| 135 | 50.167.6.24/30 | 50.167.6.25 to 50.167.6.26 | 50.167.6.27 | 2 |
| 136 | 50.167.6.28/30 | 50.167.6.29 to 50.167.6.30 | 50.167.6.31 | 2 |
| 137 | 50.167.6.32/30 | 50.167.6.33 to 50.167.6.34 | 50.167.6.35 | 2 |
| 138 | 50.167.6.36/30 | 50.167.6.37 to 50.167.6.38 | 50.167.6.39 | 2 |
| 139 | 50.167.6.40/30 | 50.167.6.41 to 50.167.6.42 | 50.167.6.43 | 2 |
| 140 | 50.167.6.44/30 | 50.167.6.45 to 50.167.6.46 | 50.167.6.47 | 2 |
| 141 | 50.167.6.48/30 | 50.167.6.49 to 50.167.6.50 | 50.167.6.51 | 2 |
| 142 | 50.167.6.52/30 | 50.167.6.53 to 50.167.6.54 | 50.167.6.55 | 2 |
| 143 | 50.167.6.56/30 | 50.167.6.57 to 50.167.6.58 | 50.167.6.59 | 2 |
| 144 | 50.167.6.60/30 | 50.167.6.61 to 50.167.6.62 | 50.167.6.63 | 2 |
| 145 | 50.167.6.64/30 | 50.167.6.65 to 50.167.6.66 | 50.167.6.67 | 2 |
| 146 | 50.167.6.68/30 | 50.167.6.69 to 50.167.6.70 | 50.167.6.71 | 2 |
| 147 | 50.167.6.72/30 | 50.167.6.73 to 50.167.6.74 | 50.167.6.75 | 2 |
| 148 | 50.167.6.76/30 | 50.167.6.77 to 50.167.6.78 | 50.167.6.79 | 2 |
| 149 | 50.167.6.80/30 | 50.167.6.81 to 50.167.6.82 | 50.167.6.83 | 2 |
| 150 | 50.167.6.84/30 | 50.167.6.85 to 50.167.6.86 | 50.167.6.87 | 2 |
| 151 | 50.167.6.88/30 | 50.167.6.89 to 50.167.6.90 | 50.167.6.91 | 2 |
| 152 | 50.167.6.92/30 | 50.167.6.93 to 50.167.6.94 | 50.167.6.95 | 2 |
| 153 | 50.167.6.96/30 | 50.167.6.97 to 50.167.6.98 | 50.167.6.99 | 2 |
| 154 | 50.167.6.100/30 | 50.167.6.101 to 50.167.6.102 | 50.167.6.103 | 2 |
| 155 | 50.167.6.104/30 | 50.167.6.105 to 50.167.6.106 | 50.167.6.107 | 2 |
| 156 | 50.167.6.108/30 | 50.167.6.109 to 50.167.6.110 | 50.167.6.111 | 2 |
| 157 | 50.167.6.112/30 | 50.167.6.113 to 50.167.6.114 | 50.167.6.115 | 2 |
| 158 | 50.167.6.116/30 | 50.167.6.117 to 50.167.6.118 | 50.167.6.119 | 2 |
| 159 | 50.167.6.120/30 | 50.167.6.121 to 50.167.6.122 | 50.167.6.123 | 2 |
| 160 | 50.167.6.124/30 | 50.167.6.125 to 50.167.6.126 | 50.167.6.127 | 2 |
| 161 | 50.167.6.128/30 | 50.167.6.129 to 50.167.6.130 | 50.167.6.131 | 2 |
| 162 | 50.167.6.132/30 | 50.167.6.133 to 50.167.6.134 | 50.167.6.135 | 2 |
| 163 | 50.167.6.136/30 | 50.167.6.137 to 50.167.6.138 | 50.167.6.139 | 2 |
| 164 | 50.167.6.140/30 | 50.167.6.141 to 50.167.6.142 | 50.167.6.143 | 2 |
| 165 | 50.167.6.144/30 | 50.167.6.145 to 50.167.6.146 | 50.167.6.147 | 2 |
| 166 | 50.167.6.148/30 | 50.167.6.149 to 50.167.6.150 | 50.167.6.151 | 2 |
| 167 | 50.167.6.152/30 | 50.167.6.153 to 50.167.6.154 | 50.167.6.155 | 2 |
| 168 | 50.167.6.156/30 | 50.167.6.157 to 50.167.6.158 | 50.167.6.159 | 2 |
| 169 | 50.167.6.160/30 | 50.167.6.161 to 50.167.6.162 | 50.167.6.163 | 2 |
| 170 | 50.167.6.164/30 | 50.167.6.165 to 50.167.6.166 | 50.167.6.167 | 2 |
| 171 | 50.167.6.168/30 | 50.167.6.169 to 50.167.6.170 | 50.167.6.171 | 2 |
| 172 | 50.167.6.172/30 | 50.167.6.173 to 50.167.6.174 | 50.167.6.175 | 2 |
| 173 | 50.167.6.176/30 | 50.167.6.177 to 50.167.6.178 | 50.167.6.179 | 2 |
| 174 | 50.167.6.180/30 | 50.167.6.181 to 50.167.6.182 | 50.167.6.183 | 2 |
| 175 | 50.167.6.184/30 | 50.167.6.185 to 50.167.6.186 | 50.167.6.187 | 2 |
| 176 | 50.167.6.188/30 | 50.167.6.189 to 50.167.6.190 | 50.167.6.191 | 2 |
| 177 | 50.167.6.192/30 | 50.167.6.193 to 50.167.6.194 | 50.167.6.195 | 2 |
| 178 | 50.167.6.196/30 | 50.167.6.197 to 50.167.6.198 | 50.167.6.199 | 2 |
| 179 | 50.167.6.200/30 | 50.167.6.201 to 50.167.6.202 | 50.167.6.203 | 2 |
| 180 | 50.167.6.204/30 | 50.167.6.205 to 50.167.6.206 | 50.167.6.207 | 2 |
| 181 | 50.167.6.208/30 | 50.167.6.209 to 50.167.6.210 | 50.167.6.211 | 2 |
| 182 | 50.167.6.212/30 | 50.167.6.213 to 50.167.6.214 | 50.167.6.215 | 2 |
| 183 | 50.167.6.216/30 | 50.167.6.217 to 50.167.6.218 | 50.167.6.219 | 2 |
| 184 | 50.167.6.220/30 | 50.167.6.221 to 50.167.6.222 | 50.167.6.223 | 2 |
| 185 | 50.167.6.224/30 | 50.167.6.225 to 50.167.6.226 | 50.167.6.227 | 2 |
| 186 | 50.167.6.228/30 | 50.167.6.229 to 50.167.6.230 | 50.167.6.231 | 2 |
| 187 | 50.167.6.232/30 | 50.167.6.233 to 50.167.6.234 | 50.167.6.235 | 2 |
| 188 | 50.167.6.236/30 | 50.167.6.237 to 50.167.6.238 | 50.167.6.239 | 2 |
| 189 | 50.167.6.240/30 | 50.167.6.241 to 50.167.6.242 | 50.167.6.243 | 2 |
| 190 | 50.167.6.244/30 | 50.167.6.245 to 50.167.6.246 | 50.167.6.247 | 2 |
| 191 | 50.167.6.248/30 | 50.167.6.249 to 50.167.6.250 | 50.167.6.251 | 2 |
| 192 | 50.167.6.252/30 | 50.167.6.253 to 50.167.6.254 | 50.167.6.255 | 2 |
| 193 | 50.167.7.0/30 | 50.167.7.1 to 50.167.7.2 | 50.167.7.3 | 2 |
| 194 | 50.167.7.4/30 | 50.167.7.5 to 50.167.7.6 | 50.167.7.7 | 2 |
| 195 | 50.167.7.8/30 | 50.167.7.9 to 50.167.7.10 | 50.167.7.11 | 2 |
| 196 | 50.167.7.12/30 | 50.167.7.13 to 50.167.7.14 | 50.167.7.15 | 2 |
| 197 | 50.167.7.16/30 | 50.167.7.17 to 50.167.7.18 | 50.167.7.19 | 2 |
| 198 | 50.167.7.20/30 | 50.167.7.21 to 50.167.7.22 | 50.167.7.23 | 2 |
| 199 | 50.167.7.24/30 | 50.167.7.25 to 50.167.7.26 | 50.167.7.27 | 2 |
| 200 | 50.167.7.28/30 | 50.167.7.29 to 50.167.7.30 | 50.167.7.31 | 2 |
| 201 | 50.167.7.32/30 | 50.167.7.33 to 50.167.7.34 | 50.167.7.35 | 2 |
| 202 | 50.167.7.36/30 | 50.167.7.37 to 50.167.7.38 | 50.167.7.39 | 2 |
| 203 | 50.167.7.40/30 | 50.167.7.41 to 50.167.7.42 | 50.167.7.43 | 2 |
| 204 | 50.167.7.44/30 | 50.167.7.45 to 50.167.7.46 | 50.167.7.47 | 2 |
| 205 | 50.167.7.48/30 | 50.167.7.49 to 50.167.7.50 | 50.167.7.51 | 2 |
| 206 | 50.167.7.52/30 | 50.167.7.53 to 50.167.7.54 | 50.167.7.55 | 2 |
| 207 | 50.167.7.56/30 | 50.167.7.57 to 50.167.7.58 | 50.167.7.59 | 2 |
| 208 | 50.167.7.60/30 | 50.167.7.61 to 50.167.7.62 | 50.167.7.63 | 2 |
| 209 | 50.167.7.64/30 | 50.167.7.65 to 50.167.7.66 | 50.167.7.67 | 2 |
| 210 | 50.167.7.68/30 | 50.167.7.69 to 50.167.7.70 | 50.167.7.71 | 2 |
| 211 | 50.167.7.72/30 | 50.167.7.73 to 50.167.7.74 | 50.167.7.75 | 2 |
| 212 | 50.167.7.76/30 | 50.167.7.77 to 50.167.7.78 | 50.167.7.79 | 2 |
| 213 | 50.167.7.80/30 | 50.167.7.81 to 50.167.7.82 | 50.167.7.83 | 2 |
| 214 | 50.167.7.84/30 | 50.167.7.85 to 50.167.7.86 | 50.167.7.87 | 2 |
| 215 | 50.167.7.88/30 | 50.167.7.89 to 50.167.7.90 | 50.167.7.91 | 2 |
| 216 | 50.167.7.92/30 | 50.167.7.93 to 50.167.7.94 | 50.167.7.95 | 2 |
| 217 | 50.167.7.96/30 | 50.167.7.97 to 50.167.7.98 | 50.167.7.99 | 2 |
| 218 | 50.167.7.100/30 | 50.167.7.101 to 50.167.7.102 | 50.167.7.103 | 2 |
| 219 | 50.167.7.104/30 | 50.167.7.105 to 50.167.7.106 | 50.167.7.107 | 2 |
| 220 | 50.167.7.108/30 | 50.167.7.109 to 50.167.7.110 | 50.167.7.111 | 2 |
| 221 | 50.167.7.112/30 | 50.167.7.113 to 50.167.7.114 | 50.167.7.115 | 2 |
| 222 | 50.167.7.116/30 | 50.167.7.117 to 50.167.7.118 | 50.167.7.119 | 2 |
| 223 | 50.167.7.120/30 | 50.167.7.121 to 50.167.7.122 | 50.167.7.123 | 2 |
| 224 | 50.167.7.124/30 | 50.167.7.125 to 50.167.7.126 | 50.167.7.127 | 2 |
| 225 | 50.167.7.128/30 | 50.167.7.129 to 50.167.7.130 | 50.167.7.131 | 2 |
| 226 | 50.167.7.132/30 | 50.167.7.133 to 50.167.7.134 | 50.167.7.135 | 2 |
| 227 | 50.167.7.136/30 | 50.167.7.137 to 50.167.7.138 | 50.167.7.139 | 2 |
| 228 | 50.167.7.140/30 | 50.167.7.141 to 50.167.7.142 | 50.167.7.143 | 2 |
| 229 | 50.167.7.144/30 | 50.167.7.145 to 50.167.7.146 | 50.167.7.147 | 2 |
| 230 | 50.167.7.148/30 | 50.167.7.149 to 50.167.7.150 | 50.167.7.151 | 2 |
| 231 | 50.167.7.152/30 | 50.167.7.153 to 50.167.7.154 | 50.167.7.155 | 2 |
| 232 | 50.167.7.156/30 | 50.167.7.157 to 50.167.7.158 | 50.167.7.159 | 2 |
| 233 | 50.167.7.160/30 | 50.167.7.161 to 50.167.7.162 | 50.167.7.163 | 2 |
| 234 | 50.167.7.164/30 | 50.167.7.165 to 50.167.7.166 | 50.167.7.167 | 2 |
| 235 | 50.167.7.168/30 | 50.167.7.169 to 50.167.7.170 | 50.167.7.171 | 2 |
| 236 | 50.167.7.172/30 | 50.167.7.173 to 50.167.7.174 | 50.167.7.175 | 2 |
| 237 | 50.167.7.176/30 | 50.167.7.177 to 50.167.7.178 | 50.167.7.179 | 2 |
| 238 | 50.167.7.180/30 | 50.167.7.181 to 50.167.7.182 | 50.167.7.183 | 2 |
| 239 | 50.167.7.184/30 | 50.167.7.185 to 50.167.7.186 | 50.167.7.187 | 2 |
| 240 | 50.167.7.188/30 | 50.167.7.189 to 50.167.7.190 | 50.167.7.191 | 2 |
| 241 | 50.167.7.192/30 | 50.167.7.193 to 50.167.7.194 | 50.167.7.195 | 2 |
| 242 | 50.167.7.196/30 | 50.167.7.197 to 50.167.7.198 | 50.167.7.199 | 2 |
| 243 | 50.167.7.200/30 | 50.167.7.201 to 50.167.7.202 | 50.167.7.203 | 2 |
| 244 | 50.167.7.204/30 | 50.167.7.205 to 50.167.7.206 | 50.167.7.207 | 2 |
| 245 | 50.167.7.208/30 | 50.167.7.209 to 50.167.7.210 | 50.167.7.211 | 2 |
| 246 | 50.167.7.212/30 | 50.167.7.213 to 50.167.7.214 | 50.167.7.215 | 2 |
| 247 | 50.167.7.216/30 | 50.167.7.217 to 50.167.7.218 | 50.167.7.219 | 2 |
| 248 | 50.167.7.220/30 | 50.167.7.221 to 50.167.7.222 | 50.167.7.223 | 2 |
| 249 | 50.167.7.224/30 | 50.167.7.225 to 50.167.7.226 | 50.167.7.227 | 2 |
| 250 | 50.167.7.228/30 | 50.167.7.229 to 50.167.7.230 | 50.167.7.231 | 2 |
| 251 | 50.167.7.232/30 | 50.167.7.233 to 50.167.7.234 | 50.167.7.235 | 2 |
| 252 | 50.167.7.236/30 | 50.167.7.237 to 50.167.7.238 | 50.167.7.239 | 2 |
| 253 | 50.167.7.240/30 | 50.167.7.241 to 50.167.7.242 | 50.167.7.243 | 2 |
| 254 | 50.167.7.244/30 | 50.167.7.245 to 50.167.7.246 | 50.167.7.247 | 2 |
| 255 | 50.167.7.248/30 | 50.167.7.249 to 50.167.7.250 | 50.167.7.251 | 2 |
| 256 | 50.167.7.252/30 | 50.167.7.253 to 50.167.7.254 | 50.167.7.255 | 2 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |